Subject: bug#43758: closed (Re: bug#43758: Typo in 'flymake' info)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 02 Oct 2020 11:00:02 +0000

Your bug report

#43758: Typo in 'flymake' info

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43758: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43758
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43758: Typo in 'flymake' info
From: Eli Zaretskii <[email-masked]>
To: Pankaj Jangid <[email-masked]>
Cc: [email-masked]
Date: Fri, 02 Oct 2020 13:58:56 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Pankaj Jangid <[email-masked]>
> Date: Fri, 02 Oct 2020 16:19:45 +0530
> 
> I was reading 'flymake' documentation and found this typo. A sentence
> was starting with - "If might be good idea to ...". "If" should be
> "It". The docs are basically talking about mapping ‘M-n’ and ‘M-p’ keys
> to 'flymake-goto-next-error and'flymake-goto-prev-error respectively.

Thanks, fixed on the emacs-27 branch.

Subject: Typo in 'flymake' info
From: Pankaj Jangid <[email-masked]>
To: [email-masked]
Date: Fri, 02 Oct 2020 16:19:45 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: patch
thanks

I was reading 'flymake' documentation and found this typo. A sentence
was starting with - "If might be good idea to ...". "If" should be
"It". The docs are basically talking about mapping ‘M-n’ and ‘M-p’ keys
to 'flymake-goto-next-error and'flymake-goto-prev-error respectively.

In GNU Emacs 28.0.50 (build 11, x86_64-apple-darwin19.6.0, NS appkit-1894.60 Version 10.15.7 (Build 19H2))
 of 2020-10-01 built on mb2.local
Repository revision: 2017bf0dd1ddd9b18cb95c42e3ef4098bff69fa9
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.7

Configured using:
 'configure LDFLAGS=-L/usr/local/opt/ruby/lib
 CPPFLAGS=-I/usr/local/opt/ruby/include
 PKG_CONFIG_PATH=:/usr/local/opt/sqlite/lib/pkgconfig:/usr/local/opt/libxml2/lib/pkgconfig:/usr/local/opt/openssl/lib/pkgconfig:/usr/local/opt/libffi/lib/pkgconfig:/usr/local/opt/ruby/lib/pkgconfig'

>From 6b4d9f293f5df06e3b3500deac2a851697710b83 Mon Sep 17 00:00:00 2001
From: Pankaj Jangid <[email-masked]>
Date: Fri, 2 Oct 2020 16:10:24 +0530
Subject: [PATCH] Typo in 'flymake' info. "If might be good idea" should be "It
 might be..."

---
 doc/misc/flymake.texi | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/doc/misc/flymake.texi b/doc/misc/flymake.texi
index c7bf99c641..b4757938e9 100644
--- a/doc/misc/flymake.texi
+++ b/doc/misc/flymake.texi
@@ -103,7 +103,7 @@ Using Flymake
 
 @code{flymake-goto-next-error} and @code{flymake-goto-prev-error} are
 commands that allow easy navigation to the next/previous erroneous
-regions, respectively.  If might be a good idea to map them to @kbd{M-n}
+regions, respectively.  It might be a good idea to map them to @kbd{M-n}
 and @kbd{M-p} in @code{flymake-mode}, by adding to your init file:
 
 @lisp
-- 
2.28.0

-- 
Pankaj Jangid

GnuPG Fingerprint => 0B62 7424 3B26 A911 052A  DDE6 7C95 6E6F F858 7689